org.apache.activemq.artemis.api.jms.management

## Interface ConnectionFactoryControl

- All Known Implementing Classes:
    JMSConnectionFactoryControlImpl

      public interface ConnectionFactoryControl

  A ConnectionFactoryControl is used to manage a JMS ConnectionFactory.
  ActiveMQ Artemis JMS ConnectionFactory uses an underlying ClientSessionFactory to connect to ActiveMQ servers. Please refer to the ClientSessionFactory for a detailed description.
  See Also:
    `ServerLocator`, `ClientSessionFactory`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addBinding(String binding)` Add the Registry binding to this destination
    `long` | `getCallFailoverTimeout()`
    `long` | `getCallTimeout()`
    `long` | `getClientFailureCheckPeriod()`
    `String` | `getClientID()` Returns the Client ID of this connection factory (or `null` if it is not set.
    `int` | `getConfirmationWindowSize()`
    `String` | `getConnectionLoadBalancingPolicyClassName()`
    `long` | `getConnectionTTL()`
    `int` | `getConsumerMaxRate()`
    `int` | `getConsumerWindowSize()`
    `DiscoveryGroupConfiguration` | `getDiscoveryGroupConfiguration()` get the discovery group configuration
    `int` | `getDupsOKBatchSize()` Returns the batch size (in bytes) between acknowledgements when using DUPS_OK_ACKNOWLEDGE mode.
    `int` | `getFactoryType()` return the type of factory
    `String` | `getGroupID()`
    `int` | `getInitialMessagePacketSize()`
    `long` | `getMaxRetryInterval()`
    `int` | `getMinLargeMessageSize()`
    `String` | `getName()` Returns the configuration name of this connection factory.
    `int` | `getProducerMaxRate()`
    `int` | `getProducerWindowSize()`
    `String` | `getProtocolManagerFactoryStr()` get the protocol manager factory name
    `int` | `getReconnectAttempts()`
    `String[]` | `getRegistryBindings()` Returns the Registry bindings associated to this connection factory.
    `long` | `getRetryInterval()`
    `double` | `getRetryIntervalMultiplier()`
    `int` | `getScheduledThreadPoolMaxSize()`
    `TransportConfiguration[]` | `getStaticConnectors()`
    `int` | `getThreadPoolMaxSize()`
    `int` | `getTransactionBatchSize()` Returns the batch size (in bytes) between acknowledgements when using a transacted session.
    `boolean` | `isAutoGroup()`
    `boolean` | `isBlockOnAcknowledge()`
    `boolean` | `isBlockOnDurableSend()`
    `boolean` | `isBlockOnNonDurableSend()`
    `boolean` | `isCacheLargeMessagesClient()`
    `boolean` | `isCompressLargeMessages()`
    `boolean` | `isFailoverOnInitialConnection()`
    `boolean` | `isHA()` does ths cf support HA
    `boolean` | `isPreAcknowledge()`
    `boolean` | `isUseGlobalPools()`
    `void` | `removeBinding(String binding)` Remove a Registry binding
    `void` | `setAutoGroup(boolean autoGroup)`
    `void` | `setBlockOnAcknowledge(boolean blockOnAcknowledge)`
    `void` | `setBlockOnDurableSend(boolean blockOnDurableSend)`
    `void` | `setBlockOnNonDurableSend(boolean blockOnNonDurableSend)`
    `void` | `setCacheLargeMessagesClient(boolean cacheLargeMessagesClient)`
    `void` | `setCallFailoverTimeout(long callTimeout)`
    `void` | `setCallTimeout(long callTimeout)`
    `void` | `setClientFailureCheckPeriod(long clientFailureCheckPeriod)`
    `void` | `setClientID(String clientID)` Sets the Client ID for this connection factory.
    `void` | `setCompressLargeMessages(boolean compress)`
    `void` | `setConfirmationWindowSize(int confirmationWindowSize)`
    `void` | `setConnectionLoadBalancingPolicyClassName(String connectionLoadBalancingPolicyClassName)`
    `void` | `setConnectionTTL(long connectionTTL)`
    `void` | `setConsumerMaxRate(int consumerMaxRate)`
    `void` | `setConsumerWindowSize(int consumerWindowSize)`
    `void` | `setDupsOKBatchSize(int dupsOKBatchSize)`
    `void` | `setFailoverOnInitialConnection(boolean failoverOnInitialConnection)`
    `void` | `setGroupID(String groupID)`
    `void` | `setMaxRetryInterval(long retryInterval)`
    `void` | `setMinLargeMessageSize(int minLargeMessageSize)`
    `void` | `setPreAcknowledge(boolean preAcknowledge)`
    `void` | `setProducerMaxRate(int producerMaxRate)`
    `void` | `setProducerWindowSize(int producerWindowSize)`
    `void` | `setProtocolManagerFactoryStr(String protocolManagerFactoryStr)` set the protocol manager factory name
    `void` | `setReconnectAttempts(int reconnectAttempts)`
    `void` | `setRetryInterval(long retryInterval)`
    `void` | `setRetryIntervalMultiplier(double retryIntervalMultiplier)`
    `void` | `setScheduledThreadPoolMaxSize(int scheduledThreadPoolMaxSize)`
    `void` | `setThreadPoolMaxSize(int threadPoolMaxSize)`
    `void` | `setTransactionBatchSize(int transactionBatchSize)`
    `void` | `setUseGlobalPools(boolean useGlobalPools)`

- - ### Method Detail

    - #### getName

          String getName()

      Returns the configuration name of this connection factory.

    - #### getRegistryBindings

          String[] getRegistryBindings()

      Returns the Registry bindings associated to this connection factory.

    - #### isHA

          boolean isHA()

      does ths cf support HA
      Returns:
        true if it supports HA

    - #### getFactoryType

          int getFactoryType()

      return the type of factory
      Returns:
        0 = jms cf, 1 = queue cf, 2 = topic cf, 3 = xa cf, 4 = xa queue cf, 5 = xa topic cf

    - #### getClientID

          String getClientID()

      Returns the Client ID of this connection factory (or `null` if it is not set.

    - #### setClientID

          void setClientID(String clientID)

      Sets the Client ID for this connection factory.

    - #### isCompressLargeMessages

          boolean isCompressLargeMessages()

      Returns:
        whether large messages are compressed
      See Also:
        `ServerLocator.isCompressLargeMessage()`

    - #### setCompressLargeMessages

          void setCompressLargeMessages(boolean compress)

    - #### getClientFailureCheckPeriod

          long getClientFailureCheckPeriod()

      See Also:
        `ServerLocator.getClientFailureCheckPeriod()`

    - #### setClientFailureCheckPeriod

          void setClientFailureCheckPeriod(long clientFailureCheckPeriod)

      See Also:
        `ServerLocator.setClientFailureCheckPeriod(long)`

    - #### getCallTimeout

          long getCallTimeout()

      See Also:
        `ServerLocator.getCallTimeout()`

    - #### setCallTimeout

          void setCallTimeout(long callTimeout)

      See Also:
        `ServerLocator.setCallTimeout(long)`

    - #### getCallFailoverTimeout

          long getCallFailoverTimeout()

      See Also:
        `ServerLocator.getCallFailoverTimeout()`

    - #### setCallFailoverTimeout

          void setCallFailoverTimeout(long callTimeout)

      See Also:
        `ServerLocator.setCallFailoverTimeout(long)`

    - #### getDupsOKBatchSize

          int getDupsOKBatchSize()

      Returns the batch size (in bytes) between acknowledgements when using DUPS_OK_ACKNOWLEDGE mode.
      See Also:
        `ServerLocator.getAckBatchSize()`, `Session.DUPS_OK_ACKNOWLEDGE`

    - #### setDupsOKBatchSize

          void setDupsOKBatchSize(int dupsOKBatchSize)

      See Also:
        `ServerLocator.setAckBatchSize(int)`

    - #### getConsumerMaxRate

          int getConsumerMaxRate()

      See Also:
        `ServerLocator.getConsumerMaxRate()`

    - #### setConsumerMaxRate

          void setConsumerMaxRate(int consumerMaxRate)

      See Also:
        `ServerLocator.setConsumerMaxRate(int)`

    - #### getConsumerWindowSize

          int getConsumerWindowSize()

      See Also:
        `ServerLocator.getConsumerWindowSize()`

    - #### setConsumerWindowSize

          void setConsumerWindowSize(int consumerWindowSize)

      See Also:
        `ServerLocator.setConfirmationWindowSize(int)`

    - #### getProducerMaxRate

          int getProducerMaxRate()

      See Also:
        `ServerLocator.getProducerMaxRate()`

    - #### setProducerMaxRate

          void setProducerMaxRate(int producerMaxRate)

      See Also:
        `ServerLocator.setProducerMaxRate(int)`

    - #### getConfirmationWindowSize

          int getConfirmationWindowSize()

      See Also:
        `ServerLocator.getConfirmationWindowSize()`

    - #### setConfirmationWindowSize

          void setConfirmationWindowSize(int confirmationWindowSize)

      See Also:
        `ServerLocator.setConfirmationWindowSize(int)`

    - #### isBlockOnAcknowledge

          boolean isBlockOnAcknowledge()

      See Also:
        `ServerLocator.isBlockOnAcknowledge()`

    - #### setBlockOnAcknowledge

          void setBlockOnAcknowledge(boolean blockOnAcknowledge)

      See Also:
        `ServerLocator.setBlockOnAcknowledge(boolean)`

    - #### isBlockOnDurableSend

          boolean isBlockOnDurableSend()

      See Also:
        `ServerLocator.isBlockOnDurableSend()`

    - #### setBlockOnDurableSend

          void setBlockOnDurableSend(boolean blockOnDurableSend)

      See Also:
        `ServerLocator.setBlockOnDurableSend(boolean)`

    - #### isBlockOnNonDurableSend

          boolean isBlockOnNonDurableSend()

      See Also:
        `ServerLocator.isBlockOnNonDurableSend()`

    - #### setBlockOnNonDurableSend

          void setBlockOnNonDurableSend(boolean blockOnNonDurableSend)

      See Also:
        `ServerLocator.setBlockOnNonDurableSend(boolean)`

    - #### isPreAcknowledge

          boolean isPreAcknowledge()

      See Also:
        `ServerLocator.isPreAcknowledge()`

    - #### setPreAcknowledge

          void setPreAcknowledge(boolean preAcknowledge)

      See Also:
        `ServerLocator.setPreAcknowledge(boolean)`

    - #### getConnectionTTL

          long getConnectionTTL()

      See Also:
        `ServerLocator.getConnectionTTL()`

    - #### setConnectionTTL

          void setConnectionTTL(long connectionTTL)

      See Also:
        `ServerLocator.setConnectionTTL(long)`

    - #### getTransactionBatchSize

          int getTransactionBatchSize()

      Returns the batch size (in bytes) between acknowledgements when using a transacted session.
      See Also:
        `ServerLocator.getAckBatchSize()`

    - #### setTransactionBatchSize

          void setTransactionBatchSize(int transactionBatchSize)

      See Also:
        `ServerLocator.setAckBatchSize(int)`

    - #### getMinLargeMessageSize

          int getMinLargeMessageSize()

      See Also:
        `ServerLocator.getMinLargeMessageSize()`

    - #### setMinLargeMessageSize

          void setMinLargeMessageSize(int minLargeMessageSize)

      See Also:
        `ServerLocator.setMinLargeMessageSize(int)`

    - #### isAutoGroup

          boolean isAutoGroup()

      See Also:
        `ServerLocator.isAutoGroup()`

    - #### setAutoGroup

          void setAutoGroup(boolean autoGroup)

      See Also:
        `ServerLocator.setAutoGroup(boolean)`

    - #### getRetryInterval

          long getRetryInterval()

      See Also:
        `ServerLocator.getRetryInterval()`

    - #### setRetryInterval

          void setRetryInterval(long retryInterval)

      See Also:
        `ServerLocator.setRetryInterval(long)`

    - #### getRetryIntervalMultiplier

          double getRetryIntervalMultiplier()

      See Also:
        `ServerLocator.getRetryIntervalMultiplier()`

    - #### setRetryIntervalMultiplier

          void setRetryIntervalMultiplier(double retryIntervalMultiplier)

      See Also:
        `ServerLocator.setRetryIntervalMultiplier(double)`

    - #### getReconnectAttempts

          int getReconnectAttempts()

      See Also:
        `ServerLocator.getReconnectAttempts()`

    - #### setReconnectAttempts

          void setReconnectAttempts(int reconnectAttempts)

      See Also:
        `ServerLocator.setReconnectAttempts(int)`

    - #### isFailoverOnInitialConnection

          boolean isFailoverOnInitialConnection()

      See Also:
        `ServerLocator.isFailoverOnInitialConnection()`

    - #### setFailoverOnInitialConnection

          void setFailoverOnInitialConnection(boolean failoverOnInitialConnection)

      See Also:
        `ServerLocator.setFailoverOnInitialConnection(boolean)`

    - #### getProducerWindowSize

          int getProducerWindowSize()

      See Also:
        `ServerLocator.getProducerWindowSize()`

    - #### setProducerWindowSize

          void setProducerWindowSize(int producerWindowSize)

      See Also:
        `ServerLocator.setProducerWindowSize(int)`

    - #### isCacheLargeMessagesClient

          boolean isCacheLargeMessagesClient()

      See Also:
        `ServerLocator.isCacheLargeMessagesClient()`

    - #### setCacheLargeMessagesClient

          void setCacheLargeMessagesClient(boolean cacheLargeMessagesClient)

      See Also:
        `ServerLocator.setCacheLargeMessagesClient(boolean)`

    - #### getMaxRetryInterval

          long getMaxRetryInterval()

      See Also:
        `ServerLocator.getMaxRetryInterval()`

    - #### setMaxRetryInterval

          void setMaxRetryInterval(long retryInterval)

      See Also:
        `ServerLocator.setMaxRetryInterval(long)`

    - #### getScheduledThreadPoolMaxSize

          int getScheduledThreadPoolMaxSize()

      See Also:
        `ServerLocator.getScheduledThreadPoolMaxSize()`

    - #### setScheduledThreadPoolMaxSize

          void setScheduledThreadPoolMaxSize(int scheduledThreadPoolMaxSize)

      See Also:
        `ServerLocator.setScheduledThreadPoolMaxSize(int)`

    - #### getThreadPoolMaxSize

          int getThreadPoolMaxSize()

      See Also:
        `ServerLocator.getThreadPoolMaxSize()`

    - #### setThreadPoolMaxSize

          void setThreadPoolMaxSize(int threadPoolMaxSize)

      See Also:
        `ServerLocator.setThreadPoolMaxSize(int)`

    - #### getGroupID

          String getGroupID()

      See Also:
        `ServerLocator.getGroupID()`

    - #### setGroupID

          void setGroupID(String groupID)

      See Also:
        `ServerLocator.setGroupID(String)`

    - #### getInitialMessagePacketSize

          int getInitialMessagePacketSize()

      See Also:
        `ServerLocator.getInitialMessagePacketSize()`

    - #### isUseGlobalPools

          boolean isUseGlobalPools()

      See Also:
        `ServerLocator.isUseGlobalPools()`

    - #### setUseGlobalPools

          void setUseGlobalPools(boolean useGlobalPools)

      See Also:
        `ServerLocator.setUseGlobalPools(boolean)`

    - #### getConnectionLoadBalancingPolicyClassName

          String getConnectionLoadBalancingPolicyClassName()

      See Also:
        `ServerLocator.getConnectionLoadBalancingPolicyClassName()`

    - #### setConnectionLoadBalancingPolicyClassName

          void setConnectionLoadBalancingPolicyClassName(String connectionLoadBalancingPolicyClassName)

      See Also:
        `ServerLocator.setConnectionLoadBalancingPolicyClassName(String)`

    - #### getStaticConnectors

          TransportConfiguration[] getStaticConnectors()

      See Also:
        `ServerLocator.getStaticTransportConfigurations()`

    - #### getDiscoveryGroupConfiguration

          DiscoveryGroupConfiguration getDiscoveryGroupConfiguration()

      get the discovery group configuration

    - #### getProtocolManagerFactoryStr

          String getProtocolManagerFactoryStr()

      get the protocol manager factory name

    - #### setProtocolManagerFactoryStr

          void setProtocolManagerFactoryStr(String protocolManagerFactoryStr)

      set the protocol manager factory name

    - #### addBinding

          void addBinding(String binding)
                   throws Exception

      Add the Registry binding to this destination
      Throws:
        `Exception`

    - #### removeBinding

          void removeBinding(String binding)
                      throws Exception

      Remove a Registry binding
      Throws:
        `Exception`

Copyright © 2017 The Apache Software Foundation. All rights reserved.